//Map { background-color: #f1e0d2; }
Map { background-color: darken(lightgreen,20%) }

#roads { line-color: red; }

@water: lightblue;
@wood: lighten(desaturate(green, 0%), 10%);
@marsh: yellow;
@futura_med: "Futura Medium","Function Pro Medium","Ubuntu Regular","Trebuchet MS Regular","DejaVu Sans Book";
@futura_italic: "Futura Medium Italic","Function Pro Medium Italic","Ubuntu Italic","Trebuchet MS Italic","DejaVu Sans Oblique";
@futura_bold: "Futura Bold","Function Pro Bold","Ubuntu Bold","Trebuchet MS Bold","DejaVu Sans Bold";

#countries {
  ::outline {
    line-color: #85c5d3;
    line-width: 2;
    line-join: round;
    }
    polygon-fill: #fff;
}

#natural [natural='wood'] {
  // polygon-fill: @wood;
  polygon-pattern-file: url(icons/forest3.png);
}

#natural [natural='marsh'] {
  polygon-fill: @marsh;
}

#natural [landuse='meadow'] {
  polygon-fill: lighten(@wood,10%);
}

#roads [highway='primary'] {
    line-color: red;
  text-face-name: @futura_med;
 
  text-size:9;
  text-transform:uppercase;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20; 
  text-min-distance: 500;
  
  text-placement: point;
  text-name:"[name]"; 
}



#roads [waterway='stream']
{
  line-color: @water;
}
#roads [highway='secondary'],
#roads [highway='tertiary'],
#roads [highway='residential'],
#roads [highway='unclassified'],
#roads [highway='service'] {
line-color: black;
  text-face-name: @futura_med;
 
  text-size:9;
 
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: line;
  
  text-name:"[name]"; 
}

#contour {
  line-color: brown;
  line-width: 0.5;

}


#water [natural='water']
{ 
  polygon-fill: @water;
   text-face-name: @futura_med;
 
  text-size:15;
  text-fill: black;
 
//  text-halo-fill:rgba(255,255,255,0.5);
//  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: point;
  text-name:"[name]"; 
  text-min-padding: 1;
  text-min-distance: 1
}

#points [tourism='picnic_site'][zoom>=14] {
  point-file: url(icons/tourist_picnic.n.16.png);
}
#points [amenity='bench'][zoom>=14] {
  point-file: url(icons/bench.png) ;
}
#points [tourism='viewpoint'][zoom>=14] {
  point-file: url(icons/viewpoint.png) ;
}
#points [amenity='theatre'][zoom>=14] {
  point-file: url(icons/tourist_theatre.n.16.png) ;
}





#roads [highway='footway'],
#roads [highway='track'],
#roads [highway='cycleway']
{
    line-color: black;
    line-dasharray: 6, 1;
  text-face-name: @futura_med;
 
  text-size:9;
  text-transform:uppercase;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: line;
  text-min-distance: 500;
  text-name:"[name]"; 
}
#roads [highway='path' ] {
    line-dasharray: 2, 2;
}
#roads [highway='parking'] {
    line-color: black;
}



#roads[highway='path'] {
   line-color: black;
  text-face-name: @futura_med;
 
  text-size:9;
  text-spacing:500;
  text-min-distance: 500;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-wrap-width:20;
  text-placement: line;
  text-name:"[name]"; 
}

#points {
        line-color: blue;
}
#roads [name='Ytrestien']
{
  
    line-width: 2;
    line-color: green;
}

/*
#Colorrelief, #Colorrelief2 {}
#Slopeshade, #Slopeshade2,
#Hillshade, #Hillshade2 {
    raster-scaling: bilinear;
    raster-mode: multiply;
}
*/
#points [place='locality']
{
     point-file: url(icons/locality.png);
  
   text-face-name: @futura_med;
  text-fill: black;
  text-size:9;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: point;
  text-dx: 10;
   text-name:"[name]"; 
}
#points [name='Smøråsheksen']
{
    point-file: url(icons/witch_hazel.png);
    text-face-name: @futura_med;
  text-fill: black;
  text-size:9;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: point;
  text-dx: 10;
   text-name:"[name]"; 

}

#points [name='Smøråsbjørnen']
{
    point-file: url(icons/bear_2.png);
    text-face-name: @futura_med;
  text-fill: black;
  text-size:9;
  text-halo-fill:rgba(255,255,255,0.5);
  text-halo-radius:1;
  text-line-spacing:1;
  text-wrap-width:20;
  text-placement: point;
  text-dx: 10;
   text-name:"[name]"; 
}

#polygons [amenity='parking'] {
  polygon-fill: darkgrey;
  point-file: url(icons/parking.png);
}

//#hillshade { raster-opacity: 0.4; }
//#hillshade { raster-mode: multiply; }
//#hillshade { raster-scaling: bilinear; raster-mode: multiply; raster-opacity: 0.3}
//#hillshade { raster-scaling: bilinear; raster-opacity: 1; }
//#slopeshade { raster-scaling: bilinear; raster-opacity: 0.3; }
//#Slopeshade, #Slopeshade2 { raster-opacity: 0.0; }

#hillshade, #slopeshade { raster-scaling: bilinear; raster-mode: hard_light; }
#hillshade { raster-opacity: 0.6; }
#slopeshade { raster-opacity: 0.4; }

#tettsted2011 { polygon-fill: lighten(grey, 10%); }